#ifndef NeuralNetAtlas_hh
#define NeuralNetAtlas_hh
// $Id: NeuralNetAtlas.hh 29 2006-12-19 02:16:20Z daa $


namespace libpg {
#if (HAVE_BOOST_SANDBOX && HAVE_ATLAS)

class NeuralNetAtlas : public NeuralNetBatch {

protected:

public:

    NeuralNetAtlas(Vector& dims, Vector& squash) : NeuralNetBatch(dims, squash) {};
    virtual ~NeuralNetAtlas() {};

    virtual void doApprox(Observation& obs, Vector& output);
    virtual void feedbackGrad(Observation& obs, Vector& outputDeltas); 

};

#endif
}
#endif
