// $Id$

class FixedRPController : public libpg::Controller {

  int inputs; // needed by FactoredController
  int time;
  std::vector<int>& phases;

public:
  FixedRPController(int no_inputs, std::vector<int>& phase_commands);
 
  virtual void getAction(libpg::Observation& obs, Vector& action, 
			 bool computeGrad = false);

  virtual int getInputDim();
  virtual void discountTrace() {}
  virtual void setDiscount(double discount) {}
  virtual void instantStep(Vector& reward) {}
  virtual void setStepSize(double stepSize) {}
  virtual void resetTrace() {}
  virtual void resetParams();
  virtual void randomizeParams();
  virtual double getMaxParam() { return 0; }
    virtual int getNumParams() { return 0; }
  virtual void write(ostream& o);
  virtual void read(istream& o); 
};
