#ifndef GOALPomdp_hh
#define GOALPomdp_hh
// $Id: GOALPomdp.hh 29 2006-12-19 02:16:20Z daa $

namespace libpg {
class GOALPomdp : public OLPomdp {


protected:

    /**
     * Don't call this one. Tears will result.
     */
    GOALPomdp() {}; 
    
public:

    /**
     * Shut up compiler warning
     */
    virtual ~GOALPomdp() {};

    int episodeSteps;
    

    GOALPomdp(Controller* controller, Simulator* simulator, double discount, double stepSize);
    virtual double doSteps(Vector& totalRewards, int steps, bool learn);
    double doSingleEpisode(Vector& totalRewards, bool learn);

};
}
#endif
