#ifndef PGBasics_hh
#define PGBasics_hh


/**
 * \mainpage The PG Library 
 * 
 * \verbinclude README.txt
 */


/**
 * Set up the Matrix Template Library with a basic matrix and vector
 */



#include "TreeBasics.hh"

// Set up the default name spaces
//using namespace libpg;

// Include basic header files we will need for any PG app
#include "UBlasExtras.hh"
#include "Observation.hh" 
#include "Approximator.hh"
#include "Controller.hh"
#include "TransformController.hh"
#include "Simulator.hh"
#include "RLAlg.hh"


#endif

